Bug 575775 (CVE-2010-0845) - CVE-2010-0845 OpenJDK No ClassCastException for HashAttributeSet constructors if run with -Xcomp (6894807)
Summary: CVE-2010-0845 OpenJDK No ClassCastException for HashAttributeSet constructor...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0845
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-22 12:01 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-09 02:24:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0337 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2010-04-01 00:21:33 UTC
Red Hat Product Errata RHSA-2010:0338 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2010-04-01 04:04:18 UTC
Red Hat Product Errata RHSA-2010:0339 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2010-04-01 00:14:40 UTC

Comment 2 Murray McAllister 2010-03-31 15:03:09 UTC
In certain cases, type assignments could result in "non-exact" interface types. This could be used to bypass type-safety restrictions.

Comment 4 errata-xmlrpc 2010-04-01 00:15:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0339 https://rhn.redhat.com/errata/RHSA-2010-0339.html

Comment 5 errata-xmlrpc 2010-04-01 00:22:00 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0337 https://rhn.redhat.com/errata/RHSA-2010-0337.html

Comment 6 errata-xmlrpc 2010-04-01 02:57:13 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5
  Supplementary for RHEL 5.2.z
  Supplementary for RHEL 5.3.z

Via RHSA-2010:0338 https://rhn.redhat.com/errata/RHSA-2010-0338.html

Comment 7 Fedora Update System 2010-04-06 16:34:09 UTC
java-1.6.0-openjdk-1.6.0.0-34.b17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-34.b17.fc11

Comment 8 Fedora Update System 2010-04-06 16:36:38 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-37.b17.fc12

Comment 9 Fedora Update System 2010-04-07 07:10:34 UTC
java-1.6.0-openjdk-1.6.0.0-36.b17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-36.b17.fc13

Comment 10 Fedora Update System 2010-04-09 01:27:34 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-09 01:31:17 UTC
java-1.6.0-openjdk-1.6.0.0-34.b17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-09 06:56:31 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-37.b17.fc13

Comment 13 Fedora Update System 2010-04-09 21:04:49 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.